<!DOCTYPE html>
<html lang="pt-BR">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="https://fonts.googleapis.com/css2?family=Sen:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="style.css">
    <link rel="shortcut icon" href="https://emojipedia-us.s3.dualstack.us-west-1.amazonaws.com/thumbs/240/microsoft/209/orange-heart_1f9e1.png" type="image/x-icon">
    
    <title>Formulário de Contato</title>
</head>

<body>

    <main>

        <div class="container-form">

            <h1>Formulário de Contato</h1>

            <div class="dont-cep-find"></div>

            <form name="formUserContact" action="" action="">
            
                <fieldset>

                    <legend>Informações do Usuário: </legend>

                    <div class="div-name">
                        <label for="name"> Nome e Sobrenome:
                            <input class="input-model" id="name" name="name" placeholder="Nome Completo" type="text" required>
                        </label>
                        <output id="outputName" class="output-name-off">O campo foi preenchido com caracteres inválidos</output>
                    </div>

                    <div class="div-birthdate">
                        <label for="birthdate"> Data de nascimento:
                            <input class="input-model" id="birthdate" type="date" required>
                        </label>
                    </div>
    
                    <div class="div-cep">
                        <label for="cep"> CEP:
                            <input class="input-model" id="cep" placeholder="04000 - 000" type="text" required>
                        </label>
                        <output id="outputCep" class="output-cep-off">O campo foi preenchido com caracteres inválidos</output>
                    </div>

                    <div class="div-street">
                        <label for="street"> Rua:
                            <input class="input-model" id="street" placeholder="Rua Vinte e Três de Maio" type="text" required>
                        </label>
                        <output id="outputStreet" class="output-name-off">O campo foi preenchido com caracteres inválidos</output>
                    </div>

                    <div class="div-user-street-number">
                        <label for="streetNumber"> Número:
                            <input class="input-model" id="streetNumber" placeholder="13" type="text">
                        </label>
                        <output id="outputStreetNumber" class="output-street-number-off">O campo foi preenchido com caracteres inválidos</output>
                    </div>

                    <div class="div-complement-address">
                        <label for="streetNumber"> Complemento:
                            <input class="input-model" id="complement" placeholder="Bloco 5 Apto 131" type="text">
                        </label>
                        <output id="outputComplement" class="output-complement-off">O campo foi preenchido com caracteres inválidos</output>
                    </div>
                    
                    <div class="div-neighborhood">
                        <label for="neighborhood"> Bairro:
                            <input class="input-model" id="neighborhood" placeholder="Grajau" type="text" required>
                        </label>
                        <output id="outputNeighborhood" class="output-neighborhood-off">O campo foi preenchido com caracteres inválidos</output>
                    </div>

                    <div class="div-city">
                        <label for="city"> Cidade:
                            <input class="input-model" id="city" name="city" placeholder="Tangamandápio" type="text" required>
                        </label>
                        <output id="outputCity" class="output-city-off">O campo foi preenchido com caracteres inválidos</output>
                    </div>
                    
                    <div class="div-state">
                        <label for="state">Estado:
                            <input class="input-model" id="state" placeholder="São paulo" type="text" required>
                        </label>
                    </div>
                    <output id="outputState" class="output-state-off">O campo foi preenchido com caracteres inválidos</output>

                </fieldset>

                <fieldset>

                    <legend>Informçãoes de contato</legend>

                        <div>
                            <label for="phone"> Telefone:
                                <input class="input-model" id="phone" name="phone" placeholder="(11) 99999 - 9999" type="tel" required>
                            </label>
                            <output id="outputPhone" class="output-phone-off">Coloque um numero telefone válido</output>
                        </div>
    
                        <div>
                            <label for="email"> E-mail:
                                <input class="input-model" id="email" name="email" placeholder="email@email.com" type="email" required>
                            </label>
                            <output id="outputEmail" class="output-email-off">O campo não foi preenchido corretamente</output>
                        </div>

                        <div>
                            <label for="mensagem"> Deixe sua mensagem aqui
                                <textarea  class="input-model" id="mensagem" name="message" cols="30" rows="10" placeholder="Você poderá digitar até 2000 caracteres" required></textarea>
                            </label>
                            <output id="messageQuestion" class="output-message-off">Preencha o campo acima</output>
                        </div>

                </fieldset>

                <fieldset>

                    <legend>Como você prefere o nosso contato?</legend>

                    <label for="radio-email">
                        <input id="radio-email" name="btn-radio-contact" type="radio" checked>
                        E-mail
                    </label>

                    <label for="radio-telefone">
                        <input id="radio-telefone" name="btn-radio-contact" type="radio">
                        Telefone
                    </label>

                    <label for="radio-whatsapp">
                        <input id="radio-whatsapp" name="btn-radio-contact" type="radio">
                        Whatsapp
                    </label>

                </fieldset>

                <fieldset>

                    <legend>Qual horário você prefere ser atendido? </legend>

                    <div class="div-contact">

                        <select name="hour-contact" id="hour-contact">
                            <option value="manha" checked>Manhã</option>
                            <option value="tarde">tarde</option>
                            <option value="noite">Noite</option>
                        </select>

                    </div>

                </fieldset>

                <label for="newsletter">
                    <input class="checkbox" id="newsletter" type="checkbox" checked>
                    Gostaria de receber nossas informações por e-mail?
                </label>

                <button class="btn-send" type="submit">Enviar</button>

            </form>
        
        </div>

    </main>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"
            integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
            crossorigin="anonymous"></script>

    <script src="api_viaCEP.js"></script>
    <script src="form.js"></script>

</body>

</html>
